Index: DCWoRMS/trunk/src/example/globalplugin/GridFCFSRandomPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/globalplugin/GridFCFSRandomPlugin.java	(revision 477)
+++ DCWoRMS/trunk/src/example/globalplugin/GridFCFSRandomPlugin.java	(revision 478)
@@ -53,5 +53,5 @@
 		
 		for(int i = 0; i < size; i++) {
-			WorkloadUnit<?> job = q.remove(0);
+			WorkloadUnit job = q.remove(0);
 			TaskInterface<?> task = (TaskInterface<?>)job;
 			
Index: DCWoRMS/trunk/src/example/globalplugin/GridFCFSRoundRobinPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/globalplugin/GridFCFSRoundRobinPlugin.java	(revision 477)
+++ DCWoRMS/trunk/src/example/globalplugin/GridFCFSRoundRobinPlugin.java	(revision 478)
@@ -47,5 +47,5 @@
 		
 		for(int i = 0; i < size; i++) {
-			WorkloadUnit<?> job = q.remove(0);
+			WorkloadUnit job = q.remove(0);
 			TaskInterface<?> task = (TaskInterface<?>)job;
 			
Index: DCWoRMS/trunk/src/example/globalplugin/BaseGlobalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/globalplugin/BaseGlobalPlugin.java	(revision 477)
+++ DCWoRMS/trunk/src/example/globalplugin/BaseGlobalPlugin.java	(revision 478)
@@ -29,5 +29,5 @@
 
 		for (int i = 0; i < newJobs.size(); i++) {
-			WorkloadUnit<?> task = newJobs.get(i);
+			WorkloadUnit task = newJobs.get(i);
 			queue.add(task);
 		}
Index: DCWoRMS/trunk/src/example/globalplugin/GridFCFSLoadBalancingPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/globalplugin/GridFCFSLoadBalancingPlugin.java	(revision 477)
+++ DCWoRMS/trunk/src/example/globalplugin/GridFCFSLoadBalancingPlugin.java	(revision 478)
@@ -53,5 +53,5 @@
 		
 		for(int i = 0; i < size; i++) {
-			WorkloadUnit<?> job = q.remove(0);
+			WorkloadUnit job = q.remove(0);
 			TaskInterface<?> task = (TaskInterface<?>)job;
 
Index: DCWoRMS/trunk/src/example/localplugin/FCFS_BFLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFS_BFLocalPlugin.java	(revision 477)
+++ DCWoRMS/trunk/src/example/localplugin/FCFS_BFLocalPlugin.java	(revision 478)
@@ -29,5 +29,5 @@
 			// check all tasks in queue
 			for (int i = 0; i < q.size(); i++) {
-				WorkloadUnit<?> job = q.get(i);
+				WorkloadUnit job = q.get(i);
 				TaskInterface<?> task = (TaskInterface<?>) job;
 				
Index: DCWoRMS/trunk/src/example/localplugin/FCFSConsolidationClusterLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSConsolidationClusterLocalPlugin.java	(revision 477)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSConsolidationClusterLocalPlugin.java	(revision 478)
@@ -51,5 +51,5 @@
 
 			for (int i = 0; i < q.size(); i++) {
-				WorkloadUnit<?> job = q.get(i);
+				WorkloadUnit job = q.get(i);
 				TaskInterface<?> task = (TaskInterface<?>) job;
 				// if status of the tasks in READY
Index: DCWoRMS/trunk/src/example/localplugin/FCFSCPUFreqScalingClusterLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSCPUFreqScalingClusterLocalPlugin.java	(revision 477)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSCPUFreqScalingClusterLocalPlugin.java	(revision 478)
@@ -55,5 +55,5 @@
 			// check all tasks in queue
 			for (int i = 0; i < q.size(); i++) {
-				WorkloadUnit<?> job = q.get(i);
+				WorkloadUnit job = q.get(i);
 				TaskInterface<?> task = (TaskInterface<?>) job;
 				// if status of the tasks in READY
@@ -98,5 +98,5 @@
 			// check all tasks in queue
 			for (int i = 0; i < q.size(); i++) {
-				WorkloadUnit<?> job = q.get(i);
+				WorkloadUnit job = q.get(i);
 				TaskInterface<?> task = (TaskInterface<?>) job;
 				// if status of the tasks in READY
Index: DCWoRMS/trunk/src/example/localplugin/FCFSEnergyAwareClusterLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSEnergyAwareClusterLocalPlugin.java	(revision 477)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSEnergyAwareClusterLocalPlugin.java	(revision 478)
@@ -42,5 +42,5 @@
 
 			for (int i = 0; i < q.size(); i++) {
-				WorkloadUnit<?> job = q.get(i);
+				WorkloadUnit job = q.get(i);
 				TaskInterface<?> task = (TaskInterface<?>) job;
 				// if status of the tasks in READY
Index: DCWoRMS/trunk/src/example/localplugin/BaseLocalSchedulingPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/BaseLocalSchedulingPlugin.java	(revision 477)
+++ DCWoRMS/trunk/src/example/localplugin/BaseLocalSchedulingPlugin.java	(revision 478)
@@ -54,5 +54,5 @@
 
 		for(int i = 0; i < newJobs.size(); i++){
-			WorkloadUnit<?> task = newJobs.get(i);
+			WorkloadUnit task = newJobs.get(i);
 			queue.add(task);
 		}
Index: DCWoRMS/trunk/src/example/localplugin/RackLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/RackLocalPlugin.java	(revision 477)
+++ DCWoRMS/trunk/src/example/localplugin/RackLocalPlugin.java	(revision 478)
@@ -36,5 +36,5 @@
 
 			for (int i = 0; i < q.size(); i++) {
-				WorkloadUnit<?> job = q.get(i);
+				WorkloadUnit job = q.get(i);
 				TaskInterface<?> task = (TaskInterface<?>) job;
 				// if status of the tasks in READY
Index: DCWoRMS/trunk/src/example/localplugin/FCFSClusterLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSClusterLocalPlugin.java	(revision 477)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSClusterLocalPlugin.java	(revision 478)
@@ -49,5 +49,5 @@
 
 			for (int i = 0; i < q.size(); i++) {
-				WorkloadUnit<?> job = q.get(i);
+				WorkloadUnit job = q.get(i);
 				TaskInterface<?> task = (TaskInterface<?>) job;
 				// if status of the tasks in READY
Index: DCWoRMS/trunk/src/example/localplugin/FCFSNodePowerManagementClusterLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSNodePowerManagementClusterLocalPlugin.java	(revision 477)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSNodePowerManagementClusterLocalPlugin.java	(revision 478)
@@ -51,5 +51,5 @@
 
 			for (int i = 0; i < q.size(); i++) {
-				WorkloadUnit<?> job = q.get(i);
+				WorkloadUnit job = q.get(i);
 				TaskInterface<?> task = (TaskInterface<?>) job;
 				// if status of the tasks in READY
Index: DCWoRMS/trunk/src/example/localplugin/FCFSRandomClusterLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSRandomClusterLocalPlugin.java	(revision 477)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSRandomClusterLocalPlugin.java	(revision 478)
@@ -44,5 +44,5 @@
 
 			for (int i = 0; i < q.size(); i++) {
-				WorkloadUnit<?> job = q.get(i);
+				WorkloadUnit job = q.get(i);
 				TaskInterface<?> task = (TaskInterface<?>) job;
 				// if status of the tasks in READY
Index: DCWoRMS/trunk/src/schedframe/events/TaskEvent.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/events/TaskEvent.java	(revision 477)
+++ DCWoRMS/trunk/src/schedframe/events/TaskEvent.java	(revision 478)
@@ -7,8 +7,8 @@
 public class TaskEvent {
 
-	protected WorkloadUnit<?> task;
+	protected WorkloadUnit task;
 	protected String resourceName;
 	
-	public TaskEvent(WorkloadUnit<?> task,
+	public TaskEvent(WorkloadUnit task,
 			 String resourceName) {
 		super();
@@ -17,5 +17,5 @@
 	}
 	
-	public WorkloadUnit<?> getTask() {
+	public WorkloadUnit getTask() {
 		return task;
 	}
Index: DCWoRMS/trunk/src/schedframe/scheduling/WorkloadUnitListImpl.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/WorkloadUnitListImpl.java	(revision 477)
+++ DCWoRMS/trunk/src/schedframe/scheduling/WorkloadUnitListImpl.java	(revision 478)
@@ -6,5 +6,5 @@
 
 
-public class WorkloadUnitListImpl extends ArrayList<WorkloadUnit<?>> implements WorkloadUnitList {
+public class WorkloadUnitListImpl extends ArrayList<WorkloadUnit> implements WorkloadUnitList {
 
 	private static final long serialVersionUID = -3824600938144742457L;
Index: DCWoRMS/trunk/src/schedframe/scheduling/queue/TaskQueue.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/queue/TaskQueue.java	(revision 477)
+++ DCWoRMS/trunk/src/schedframe/scheduling/queue/TaskQueue.java	(revision 478)
@@ -8,5 +8,5 @@
 import schedframe.scheduling.tasks.WorkloadUnit;
 
-public class TaskQueue extends AbstractStatsSupportingQueue<WorkloadUnit<?>> implements Queue<WorkloadUnit<?>>{
+public class TaskQueue extends AbstractStatsSupportingQueue<WorkloadUnit> implements Queue<WorkloadUnit>{
 
 
@@ -25,5 +25,5 @@
 	}
 	
-	public boolean add(WorkloadUnit<?> wu){
+	public boolean add(WorkloadUnit wu){
 		try {
 			wu.setStatus(Gridlet.QUEUED);
@@ -35,5 +35,5 @@
 	}
 	
-	public void add(int pos, WorkloadUnit<?> wu){
+	public void add(int pos, WorkloadUnit wu){
 		try {
 			wu.setStatus(Gridlet.QUEUED);
Index: DCWoRMS/trunk/src/schedframe/scheduling/tasks/AbstractProcesses.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/tasks/AbstractProcesses.java	(revision 477)
+++ DCWoRMS/trunk/src/schedframe/scheduling/tasks/AbstractProcesses.java	(revision 478)
@@ -3,5 +3,5 @@
 import schedframe.scheduling.tasks.requirements.ResourceParameterName;
 
-public abstract class AbstractProcesses<T> implements WorkloadUnit<T>{
+public abstract class AbstractProcesses implements WorkloadUnit{
 	
 	
Index: DCWoRMS/trunk/src/schedframe/scheduling/tasks/JobInterface.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/tasks/JobInterface.java	(revision 477)
+++ DCWoRMS/trunk/src/schedframe/scheduling/tasks/JobInterface.java	(revision 478)
@@ -2,4 +2,6 @@
 
 import java.util.List;
+
+import schedframe.DescriptionContainer;
 
 
@@ -9,5 +11,5 @@
  *
  */
-public interface JobInterface<T> extends WorkloadUnit<T> {
+public interface JobInterface<T> extends WorkloadUnit, DescriptionContainer<T> {
 
 	/**
Index: DCWoRMS/trunk/src/schedframe/scheduling/tasks/WorkloadUnit.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/tasks/WorkloadUnit.java	(revision 477)
+++ DCWoRMS/trunk/src/schedframe/scheduling/tasks/WorkloadUnit.java	(revision 478)
@@ -5,5 +5,5 @@
 import schedframe.scheduling.manager.tasks.JobRegistryImpl;
 
-public interface WorkloadUnit<T> extends DescriptionContainer<T> {
+public interface WorkloadUnit {
 
 	public String getId();
Index: DCWoRMS/trunk/src/schedframe/scheduling/tasks/TaskInterface.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/tasks/TaskInterface.java	(revision 477)
+++ DCWoRMS/trunk/src/schedframe/scheduling/tasks/TaskInterface.java	(revision 478)
@@ -6,4 +6,5 @@
 import org.joda.time.ReadableDuration;
 
+import schedframe.DescriptionContainer;
 import schedframe.scheduling.tasks.requirements.ResourceParameterName;
 
@@ -14,5 +15,5 @@
  *
  */
-public interface TaskInterface<T> extends WorkloadUnit<T> {
+public interface TaskInterface<T> extends WorkloadUnit, DescriptionContainer<T> {
 	
 	/**
Index: DCWoRMS/trunk/src/schedframe/scheduling/tasks/Processes.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/tasks/Processes.java	(revision 477)
+++ DCWoRMS/trunk/src/schedframe/scheduling/tasks/Processes.java	(revision 478)
@@ -196,7 +196,4 @@
 	}
 
-	public org.qcg.broker.schemas.resreqs.Processes getDescription(){
-		return this.pr;
-	}
 
 	@Override
@@ -212,9 +209,5 @@
 	}
 
-	@Override
-	public String getDocument() throws Exception {
-		// TODO Auto-generated method stub
-		return null;
-	}
+
 
 	@Override
Index: DCWoRMS/trunk/src/schedframe/scheduling/plan/ScheduledTaskInterface.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/plan/ScheduledTaskInterface.java	(revision 477)
+++ DCWoRMS/trunk/src/schedframe/scheduling/plan/ScheduledTaskInterface.java	(revision 478)
@@ -192,5 +192,5 @@
 	public ArrayList<AllocationInterface> getAllocations();
 	
-	public WorkloadUnit<?> getTask();
+	public WorkloadUnit getTask();
 
 }
Index: DCWoRMS/trunk/src/schedframe/scheduling/plan/impl/ScheduledTask.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/plan/impl/ScheduledTask.java	(revision 477)
+++ DCWoRMS/trunk/src/schedframe/scheduling/plan/impl/ScheduledTask.java	(revision 478)
@@ -178,8 +178,8 @@
 	
 
-	protected WorkloadUnit<?> task;
+	protected WorkloadUnit task;
 	protected ArrayList<AllocationInterface> allocationList;
 
-	public ScheduledTask(WorkloadUnit<?> task){
+	public ScheduledTask(WorkloadUnit task){
 		this();
 		this.task = task;
@@ -190,5 +190,5 @@
 	}
 	
-	public WorkloadUnit<?> getTask(){
+	public WorkloadUnit getTask(){
 		return this.task;
 	}
Index: DCWoRMS/trunk/src/schedframe/scheduling/Scheduler.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/Scheduler.java	(revision 477)
+++ DCWoRMS/trunk/src/schedframe/scheduling/Scheduler.java	(revision 478)
@@ -195,10 +195,10 @@
 	
 	protected void processGSSIMJobReturn(Sim_event ev) {
-		WorkloadUnit<?> job = (WorkloadUnit<?>) ev.get_data();
+		WorkloadUnit job = (WorkloadUnit) ev.get_data();
 		managementSystem.notifyReturnedWorkloadUnit(job);
 	}
 
 	protected void processGSSIMJobSubmit(Sim_event ev, boolean ack) {
-		WorkloadUnit<?> job = (WorkloadUnit<?>) ev.get_data();
+		WorkloadUnit job = (WorkloadUnit) ev.get_data();
 		managementSystem.notifySubmittedWorkloadUnit(job, ack);
 	}
Index: DCWoRMS/trunk/src/schedframe/scheduling/WorkloadUnitList.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/WorkloadUnitList.java	(revision 477)
+++ DCWoRMS/trunk/src/schedframe/scheduling/WorkloadUnitList.java	(revision 478)
@@ -6,5 +6,5 @@
 
 
-public interface WorkloadUnitList extends List<WorkloadUnit<?>>{
+public interface WorkloadUnitList extends List<WorkloadUnit>{
 
 }
Index: DCWoRMS/trunk/src/schedframe/scheduling/policy/AbstractManagementSystem.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/policy/AbstractManagementSystem.java	(revision 477)
+++ DCWoRMS/trunk/src/schedframe/scheduling/policy/AbstractManagementSystem.java	(revision 478)
@@ -111,9 +111,9 @@
 	}
 
-	public abstract void notifySubmittedWorkloadUnit(WorkloadUnit<?> wu, boolean ack);
-
-	public abstract void notifyCanceledWorkloadUnit(WorkloadUnit<?> wu);
-
-	public abstract void notifyReturnedWorkloadUnit(WorkloadUnit<?> wu);
+	public abstract void notifySubmittedWorkloadUnit(WorkloadUnit wu, boolean ack);
+
+	public abstract void notifyCanceledWorkloadUnit(WorkloadUnit wu);
+
+	public abstract void notifyReturnedWorkloadUnit(WorkloadUnit wu);
 
 	protected abstract void executeSchedulingPlan(SchedulingPlanInterface decision);
@@ -122,5 +122,5 @@
 
 	//POPRAWIC  (ale co? bo teraz chyba jest ok)
-	protected void submitWorkloadUnit(WorkloadUnit<?> wu, AllocationInterface allocation) {
+	protected void submitWorkloadUnit(WorkloadUnit wu, AllocationInterface allocation) {
 		String providerName = allocation.getProviderName();
 		if (providerName == null) {
@@ -164,5 +164,5 @@
 	}
 
-	protected boolean sendFinishedWorkloadUnit(WorkloadUnit<?> wu) {
+	protected boolean sendFinishedWorkloadUnit(WorkloadUnit wu) {
 		
 		Executable exec = (Executable) wu;
@@ -220,5 +220,5 @@
 	}
 	
-	protected boolean removeFromQueue(WorkloadUnit<?> wu) {
+	protected boolean removeFromQueue(WorkloadUnit wu) {
 		for(TaskQueue queue : queues){
 			if(queue.contains(wu)){
Index: DCWoRMS/trunk/src/schedframe/scheduling/policy/local/LocalManagementSystem.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/policy/local/LocalManagementSystem.java	(revision 477)
+++ DCWoRMS/trunk/src/schedframe/scheduling/policy/local/LocalManagementSystem.java	(revision 478)
@@ -192,5 +192,5 @@
 	
 
-	public void notifyReturnedWorkloadUnit(WorkloadUnit<?> wu) {
+	public void notifyReturnedWorkloadUnit(WorkloadUnit wu) {
 		if (pluginSupportsEvent(WormsTags.TASK_EXECUTION_FINISHED)) {
 			SchedulingEvent event = new SchedulingEvent(SchedulingEventType.TASK_FINISHED);
@@ -204,5 +204,5 @@
 	}
 
-	public void notifyCanceledWorkloadUnit(WorkloadUnit<?> job) {
+	public void notifyCanceledWorkloadUnit(WorkloadUnit job) {
 
 		if (!pluginSupportsEvent(GridSimTags.GRIDLET_CANCEL))
@@ -247,5 +247,5 @@
 				ArrayList<AllocationInterface> allocations = taskDecision.getAllocations();
 
-				WorkloadUnit<?> task = taskDecision.getTask();
+				WorkloadUnit task = taskDecision.getTask();
 				for (int j = 0; j < allocations.size(); j++) {
 
@@ -633,10 +633,10 @@
 
 	
-	public void notifySubmittedWorkloadUnit(WorkloadUnit<?> job, boolean ack) {
+	public void notifySubmittedWorkloadUnit(WorkloadUnit job, boolean ack) {
 		updateProcessingProgress();
 		registerWorkloadUnit(job);
 	}
 
-	private void registerWorkloadUnit(WorkloadUnit<?> wu){
+	private void registerWorkloadUnit(WorkloadUnit wu){
 		if(!wu.isRegistered()){
 			wu.register(jobRegistry);
@@ -660,5 +660,5 @@
 			}
 
-			for(WorkloadUnit<?> e:readyTasks){	
+			for(WorkloadUnit e:readyTasks){	
 				registerWorkloadUnit(e);
 			}
Index: DCWoRMS/trunk/src/schedframe/scheduling/policy/global/GlobalManagementSystem.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/policy/global/GlobalManagementSystem.java	(revision 477)
+++ DCWoRMS/trunk/src/schedframe/scheduling/policy/global/GlobalManagementSystem.java	(revision 478)
@@ -81,5 +81,5 @@
 	}
 	
-	public void notifySubmittedWorkloadUnit(WorkloadUnit<?> wu, boolean ack) {
+	public void notifySubmittedWorkloadUnit(WorkloadUnit wu, boolean ack) {
 		if (!pluginSupportsEvent(GridSimTags.GRIDLET_SUBMIT)) {
 			log.error("Plugin " + schedulingPlugin.getClass()
@@ -106,5 +106,5 @@
 	}
 	
-	private void registerWorkloadUnit(WorkloadUnit<?> wu){
+	private void registerWorkloadUnit(WorkloadUnit wu){
 		if(!wu.isRegistered()){
 			wu.register(jobRegistry);
@@ -139,5 +139,5 @@
 	}
 	
-	public void notifyReturnedWorkloadUnit(WorkloadUnit<?> wu) {
+	public void notifyReturnedWorkloadUnit(WorkloadUnit wu) {
 		Executable exec = (Executable) wu;
 
@@ -189,5 +189,5 @@
 	}
 
-	public void notifyCanceledWorkloadUnit(WorkloadUnit<?> wu){;
+	public void notifyCanceledWorkloadUnit(WorkloadUnit wu){;
 
 		Executable task = (Executable) wu;
@@ -251,5 +251,5 @@
 	}
 
-	protected void submitWorkloadUnit(WorkloadUnit<?> job, AllocationInterface allocation) {
+	protected void submitWorkloadUnit(WorkloadUnit job, AllocationInterface allocation) {
 
 		String providerName = allocation.getProviderName();