Index: DCWoRMS/trunk/src/simulator/stats/implementation/TaskStats.java
===================================================================
--- DCWoRMS/trunk/src/simulator/stats/implementation/TaskStats.java	(revision 477)
+++ DCWoRMS/trunk/src/simulator/stats/implementation/TaskStats.java	(revision 480)
@@ -45,5 +45,5 @@
 
 	public String getUserDN() {
-		return this.task.getUserDn();
+		return this.task.getUserDN();
 	}
 
Index: DCWoRMS/trunk/src/schedframe/scheduling/tasks/Job.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/tasks/Job.java	(revision 477)
+++ DCWoRMS/trunk/src/schedframe/scheduling/tasks/Job.java	(revision 480)
@@ -18,5 +18,4 @@
 import schedframe.scheduling.WorkloadUnitHandler;
 import schedframe.scheduling.manager.tasks.JobRegistryImpl;
-import schedframe.scheduling.policy.AbstractManagementSystem;
 
 
Index: DCWoRMS/trunk/src/schedframe/scheduling/tasks/Task.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/tasks/Task.java	(revision 477)
+++ DCWoRMS/trunk/src/schedframe/scheduling/tasks/Task.java	(revision 480)
@@ -37,5 +37,5 @@
  *
  */
-public class Task /*extends AbstractTask*/ implements TaskInterface<org.qcg.broker.schemas.resreqs.Task> {
+public class Task implements TaskInterface<org.qcg.broker.schemas.resreqs.Task> {
 	
 	protected static Unmarshaller unmarshaller;
@@ -71,6 +71,5 @@
 	private int senderId;
 	private long workloadLogWaitTime;
-	//String resPathHistory;
-	
+
 	public Task(org.qcg.broker.schemas.resreqs.Task task){
 		this.task = task;
@@ -268,5 +267,5 @@
 	}
 
-	public String getUserDn() {
+	public String getUserDN() {
 		return this.task.getUserDN();
 	}
Index: DCWoRMS/trunk/src/schedframe/scheduling/tasks/WorkloadUnit.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/tasks/WorkloadUnit.java	(revision 478)
+++ DCWoRMS/trunk/src/schedframe/scheduling/tasks/WorkloadUnit.java	(revision 480)
@@ -1,5 +1,4 @@
 package schedframe.scheduling.tasks;
 
-import schedframe.DescriptionContainer;
 import schedframe.scheduling.WorkloadUnitHandler;
 import schedframe.scheduling.manager.tasks.JobRegistryImpl;
Index: DCWoRMS/trunk/src/schedframe/scheduling/tasks/SubmittedTask.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/tasks/SubmittedTask.java	(revision 477)
+++ DCWoRMS/trunk/src/schedframe/scheduling/tasks/SubmittedTask.java	(revision 480)
@@ -114,6 +114,6 @@
 	}
 
-	public String getUserDn() {
-		return task.getUserDn();
+	public String getUserDN() {
+		return task.getUserDN();
 	}
 
Index: DCWoRMS/trunk/src/schedframe/scheduling/tasks/TaskInterface.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/tasks/TaskInterface.java	(revision 478)
+++ DCWoRMS/trunk/src/schedframe/scheduling/tasks/TaskInterface.java	(revision 480)
@@ -34,5 +34,5 @@
 	 * submitted this task. 
 	 */
-	public abstract String getUserDn();
+	public abstract String getUserDN();
 	
 	/**
@@ -108,5 +108,5 @@
 	public List<AbstractProcesses> getProcesses(AbstractProcessesGroup processGroup);
 	
-	public void setStatus(int status) throws Exception;
+	//public void setStatus(int status) throws Exception;
 	
 	public double getCpuCntRequest() throws NoSuchFieldException;
@@ -115,8 +115,5 @@
 	
 	public long getWorkloadLogWaitTime();
-	
-	//public void addToResPath(String resName);
-	
-	//public String getResPath();
+
 		
 }
Index: DCWoRMS/trunk/src/schedframe/scheduling/tasks/Processes.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/tasks/Processes.java	(revision 478)
+++ DCWoRMS/trunk/src/schedframe/scheduling/tasks/Processes.java	(revision 480)
@@ -1,5 +1,3 @@
 package schedframe.scheduling.tasks;
-
-import java.util.List;
 
 import org.qcg.broker.schemas.resreqs.ComputingResourceBaseTypeItem;
@@ -196,17 +194,14 @@
 	}
 
-
-	@Override
 	public int getStatus() {
+		return this.status;
+	}
+
+	@Override
+	public int getUserID() {
 		// TODO Auto-generated method stub
 		return 0;
 	}
 
-	@Override
-	public int getUserID() {
-		// TODO Auto-generated method stub
-		return 0;
-	}
-
 
 
Index: DCWoRMS/trunk/src/schedframe/scheduling/policy/local/LocalManagementSystem.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/policy/local/LocalManagementSystem.java	(revision 478)
+++ DCWoRMS/trunk/src/schedframe/scheduling/policy/local/LocalManagementSystem.java	(revision 480)
@@ -168,5 +168,5 @@
 				executeSchedulingPlan(decision);
 			}
-			Job job = jobRegistry.get(task.getJobId());
+			Job job = jobRegistry.getJob(task.getJobId());
 			if(!job.isFinished()){
 				getWorkloadUnitHandler().handleJob(job);
@@ -404,5 +404,5 @@
 		
 		Executable executable = (Executable) subTask.getGridlet();
-		Job job = jobRegistry.get(executable.getJobId());
+		Job job = jobRegistry.getJob(executable.getJobId());
 
 		Task task = null;
Index: DCWoRMS/trunk/src/schedframe/scheduling/policy/global/GlobalManagementSystem.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/policy/global/GlobalManagementSystem.java	(revision 478)
+++ DCWoRMS/trunk/src/schedframe/scheduling/policy/global/GlobalManagementSystem.java	(revision 480)
@@ -149,5 +149,5 @@
 		
 		try {
-			Job job = jobRegistry.get(exec.getJobId());
+			Job job = jobRegistry.getJob(exec.getJobId());
 			/*Task task = job.getTask(exec.getTaskId());
 			if(exec.getProcessesId() == null){
@@ -229,5 +229,5 @@
 				// not scheduled again are returned to the user.
 				if(taskDecision.getStatus() == AllocationStatus.REJECTED){
-					Job job = jobRegistry.get(jobID);
+					Job job = jobRegistry.getJob(jobID);
 					scheduler.send(job.getSenderId(), GridSimTags.SCHEDULE_NOW, GridSimTags.GRIDLET_RETURN, job);
 					continue;
Index: DCWoRMS/trunk/src/schedframe/scheduling/policy/AbstractManagementSystem.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/policy/AbstractManagementSystem.java	(revision 478)
+++ DCWoRMS/trunk/src/schedframe/scheduling/policy/AbstractManagementSystem.java	(revision 480)
@@ -169,5 +169,5 @@
 		if(scheduler.getParent() == null)
 		{
-			Job job = jobRegistry.get(exec.getJobId());
+			Job job = jobRegistry.getJob(exec.getJobId());
 
 			if(job.isFinished()){
Index: DCWoRMS/trunk/src/schedframe/scheduling/manager/tasks/AbstractJobRegistry.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/manager/tasks/AbstractJobRegistry.java	(revision 477)
+++ DCWoRMS/trunk/src/schedframe/scheduling/manager/tasks/AbstractJobRegistry.java	(revision 480)
@@ -39,5 +39,5 @@
 	}
 
-	public Job get(String jobId){
+	public Job getJob(String jobId){
 		return jobs.get(jobId);
 	}
Index: DCWoRMS/trunk/src/gssim/schedframe/scheduling/Executable.java
===================================================================
--- DCWoRMS/trunk/src/gssim/schedframe/scheduling/Executable.java	(revision 477)
+++ DCWoRMS/trunk/src/gssim/schedframe/scheduling/Executable.java	(revision 480)
@@ -88,6 +88,6 @@
 	}
 
-	public String getUserDn() {
-		return task.getUserDn();
+	public String getUserDN() {
+		return task.getUserDN();
 	}
 