Index: DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Simulation.txt	(revision 477)
+++ DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Simulation.txt	(revision 481)
@@ -11,5 +11,5 @@
 Task start time;1,384.615;2,656.153;7,055,147.929;0;7,200;18,000;13;
 Task flow time;14,400;8,704.376;75,766,153.846;7,200;36,000;187,200;13;
-Task waiting time;1,384.615;2,656.153;7,055,147.929;0;7,200;18,000;13;
+Task waiting time;11,907.692;15,621.015;244,016,094.675;0;46,800;154,800;13;
 Task lateness;0;0;0;0;0;0;13;
 Task tardiness;0;0;0;0;0;0;13;
Index: DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Tasks.txt
===================================================================
--- DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Tasks.txt	(revision 477)
+++ DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Tasks.txt	(revision 481)
@@ -8,7 +8,7 @@
 7;7;-1;ManagementSystem@cluster;1;1225674000;1225688400;1225688400;1225666800;1225666800;21600;7200;14400;0;7200;21600;7200;0;0;0;0;0;[Processor_0];
 8;8;-1;ManagementSystem@cluster;1;1225674000;1225702800;1225702800;1225666800;1225666800;36000;7200;28800;0;7200;36000;7200;0;0;0;0;0;[Processor_1];
-9;9;-1;ManagementSystem@cluster;1;1225674000;1225681200;1225681200;1225670400;1225670400;14400;7200;7200;3600;3600;10800;3600;0;0;0;0;0;[Processor_2];
-10;10;-1;ManagementSystem@cluster;1;1225688400;1225710000;1225710000;1225688400;1225688400;43200;21600;21600;21600;0;21600;0;0;0;0;0;0;[Processor_0];
-11;11;-1;ManagementSystem@cluster;1;1225692000;1225717200;1225717200;1225692000;1225692000;50400;25200;25200;25200;0;25200;0;0;0;0;0;0;[Processor_2];
-12;12;-1;ManagementSystem@cluster;1;1225706400;1225720800;1225720800;1225706400;1225706400;54000;39600;14400;39600;0;14400;0;0;0;0;0;0;[Processor_1];
-13;13;-1;ManagementSystem@cluster;1;1225713600;1225724400;1225724400;1225713600;1225713600;57600;46800;10800;46800;0;10800;0;0;0;0;0;0;[Processor_0];
+9;9;-1;ManagementSystem@cluster;1;1225674000;1225681200;1225681200;1225670400;1225666800;14400;7200;7200;3600;3600;10800;7200;-3600;0;0;0;0;[Processor_2];
+10;10;-1;ManagementSystem@cluster;1;1225688400;1225710000;1225710000;1225688400;1225666800;43200;21600;21600;21600;0;21600;21600;-21600;0;0;0;0;[Processor_0];
+11;11;-1;ManagementSystem@cluster;1;1225692000;1225717200;1225717200;1225692000;1225666800;50400;25200;25200;25200;0;25200;25200;-25200;0;0;0;0;[Processor_2];
+12;12;-1;ManagementSystem@cluster;1;1225706400;1225720800;1225720800;1225706400;1225666800;54000;39600;14400;39600;0;14400;39600;-39600;0;0;0;0;[Processor_1];
+13;13;-1;ManagementSystem@cluster;1;1225713600;1225724400;1225724400;1225713600;1225666800;57600;46800;10800;46800;0;10800;46800;-46800;0;0;0;0;[Processor_0];
Index: DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Jobs.txt
===================================================================
--- DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Jobs.txt	(revision 477)
+++ DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Jobs.txt	(revision 481)
@@ -8,7 +8,7 @@
 7;21,600;14,400;7,200;21,600;7,200;0;0;0;21,600;
 8;36,000;28,800;7,200;36,000;7,200;0;0;0;36,000;
-9;14,400;7,200;3,600;10,800;3,600;0;0;0;14,400;
-10;43,200;21,600;0;21,600;0;0;0;0;43,200;
-11;50,400;25,200;0;25,200;0;0;0;0;50,400;
-12;54,000;14,400;0;14,400;0;0;0;0;54,000;
-13;57,600;10,800;0;10,800;0;0;0;0;57,600;
+9;14,400;7,200;3,600;10,800;7,200;-3,600;0;0;14,400;
+10;43,200;21,600;0;21,600;21,600;-21,600;0;0;43,200;
+11;50,400;25,200;0;25,200;25,200;-25,200;0;0;50,400;
+12;54,000;14,400;0;14,400;39,600;-39,600;0;0;54,000;
+13;57,600;10,800;0;10,800;46,800;-46,800;0;0;57,600;
Index: DCWoRMS/trunk/example/tomekp/experiment1_result/Stats_Simulation 1_ResourceUtilization.txt
===================================================================
--- DCWoRMS/trunk/example/tomekp/experiment1_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 481)
+++ DCWoRMS/trunk/example/tomekp/experiment1_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 481)
@@ -0,0 +1,61 @@
+resourceName;timestamp;usage;
+ComputingNode_0;1225666800000;1;
+ComputingNode_0;1225674000000;8;
+ComputingNode_0;1225681200000;3;
+ComputingNode_0;1225684800000;2;
+ComputingNode_0;1225688400000;2;
+ComputingNode_0;1225692000000;3;
+ComputingNode_0;1225702800000;2;
+ComputingNode_0;1225706400000;3;
+ComputingNode_0;1225710000000;2;
+ComputingNode_0;1225713600000;3;
+ComputingNode_0;1225717200000;2;
+ComputingNode_0;1225720800000;1;
+ComputingNode_0;1225724400000;0;
+mean: 0.24479166666666666
+
+Processor_0;1225666800000;1;
+Processor_0;1225674000000;1;
+Processor_0;1225681200000;0;
+Processor_0;1225688400000;1;
+Processor_0;1225710000000;0;
+Processor_0;1225713600000;1;
+Processor_0;1225724400000;0;
+mean: 0.8125
+
+Processor_1;1225674000000;1;
+Processor_1;1225681200000;0;
+Processor_1;1225692000000;1;
+Processor_1;1225717200000;0;
+mean: 0.5625
+
+Processor_2;1225674000000;1;
+Processor_2;1225681200000;0;
+Processor_2;1225706400000;1;
+Processor_2;1225720800000;0;
+mean: 0.375
+
+Processor_3;1225674000000;1;
+Processor_3;1225681200000;0;
+mean: 0.125
+
+Processor_4;1225674000000;1;
+Processor_4;1225684800000;0;
+mean: 0.1875
+
+Processor_5;1225674000000;1;
+Processor_5;1225688400000;0;
+mean: 0.25
+
+Processor_6;1225674000000;1;
+Processor_6;1225702800000;0;
+mean: 0.5
+
+Processor_7;1225674000000;1;
+Processor_7;1225681200000;0;
+mean: 0.125
+
+
+
+
+
Index: DCWoRMS/trunk/example/tomekp/experiment1_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- DCWoRMS/trunk/example/tomekp/experiment1_result/Stats_Simulation 1_Simulation.txt	(revision 481)
+++ DCWoRMS/trunk/example/tomekp/experiment1_result/Stats_Simulation 1_Simulation.txt	(revision 481)
@@ -0,0 +1,15 @@
+Resource name;mean;stdev;variance;minimum;maximum;sum;count;
+Delayed tasks;0;0;0;0;0;0;1;
+Failed requests (tasks);0;0;0;0;0;0;1;
+Makespan;57,599;0;0;57,599;57,599;57,599;1;
+Resources queue length;0.812;0;0;0.812;0.812;0.812;1;
+Resources total load;0.245;0;0;0.245;0.245;0.245;1;
+Resources reservation load;?;?;?;?;?;?;0;
+Energy usage;750;0;0;750;750;750;1;
+Task completion time;24,092.692;15,363.608;236,040,454.828;7,200;57,599;313,205;13;
+Task execution time;9,415.769;3,610.859;13,038,305.716;7,200;18,001;122,405;13;
+Task start time;0;0;0;0;0;0;13;
+Task flow time;9,415.769;3,610.859;13,038,305.716;7,200;18,001;122,405;13;
+Task waiting time;0;0;0;0;0;0;13;
+Task lateness;0;0;0;0;0;0;13;
+Task tardiness;0;0;0;0;0;0;13;
Index: DCWoRMS/trunk/example/tomekp/experiment1_result/Stats_Simulation 1_Tasks.txt
===================================================================
--- DCWoRMS/trunk/example/tomekp/experiment1_result/Stats_Simulation 1_Tasks.txt	(revision 481)
+++ DCWoRMS/trunk/example/tomekp/experiment1_result/Stats_Simulation 1_Tasks.txt	(revision 481)
@@ -0,0 +1,14 @@
+JobID;TaskID;UserDN;ResName;CpuCnt;ExecStartDate;ExecFinishDate;ExecEndDate;GB_SubDate;LB_SubDate;CompletionTime;ExecStartTime;ExecutionTime;ReadyTime;StartTime;FlowTime;WaitingTime;GQ_WaitingTime;Lateness;Tardiness;ReservStartDate;ReservFinishDate;ProcessorName;Energy;
+1;1;-1;ManagementSystem@cluster1;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_0];
+2;2;-1;ManagementSystem@cluster1;1;1225674000;1225681200;1225681200;1225674000;1225674000;14400;7200;7200;7200;0;7200;0;0;0;0;0;0;[Processor_0];
+3;3;-1;ManagementSystem@cluster1;1;1225674000;1225681200;1225681200;1225674000;1225674000;14400;7200;7200;7200;0;7200;0;0;0;0;0;0;[Processor_1];
+4;4;-1;ManagementSystem@cluster1;1;1225674000;1225681200;1225681200;1225674000;1225674000;14400;7200;7200;7200;0;7200;0;0;0;0;0;0;[Processor_2];
+5;5;-1;ManagementSystem@cluster1;1;1225674000;1225681200;1225681200;1225674000;1225674000;14400;7200;7200;7200;0;7200;0;0;0;0;0;0;[Processor_3];
+6;6;-1;ManagementSystem@cluster1;1;1225674000;1225681201;1225681201;1225674000;1225674000;14401;7200;7201;7200;0;7201;0;0;0;0;0;0;[Processor_4];
+7;7;-1;ManagementSystem@cluster1;1;1225674000;1225681201;1225681201;1225674000;1225674000;14401;7200;7201;7200;0;7201;0;0;0;0;0;0;[Processor_5];
+8;8;-1;ManagementSystem@cluster1;1;1225674000;1225688401;1225688401;1225674000;1225674000;21601;7200;14401;7200;0;14401;0;0;0;0;0;0;[Processor_6];
+9;9;-1;ManagementSystem@cluster1;1;1225674000;1225681200;1225681200;1225674000;1225674000;14400;7200;7200;7200;0;7200;0;0;0;0;0;0;[Processor_7];
+10;10;-1;ManagementSystem@cluster1;1;1225688400;1225706401;1225706401;1225688400;1225688400;39601;21600;18001;21600;0;18001;0;0;0;0;0;0;[Processor_0];
+11;11;-1;ManagementSystem@cluster1;1;1225692000;1225706401;1225706401;1225692000;1225692000;39601;25200;14401;25200;0;14401;0;0;0;0;0;0;[Processor_1];
+12;12;-1;ManagementSystem@cluster1;1;1225706400;1225713601;1225713601;1225706400;1225706400;46801;39600;7201;39600;0;7201;0;0;0;0;0;0;[Processor_2];
+13;13;-1;ManagementSystem@cluster1;1;1225713600;1225724399;1225724399;1225713600;1225713600;57599;46800;10799;46800;0;10799;0;0;0;0;0;0;[Processor_0];
Index: DCWoRMS/trunk/example/tomekp/experiment1_result/Stats_Simulation 1_Energy.txt
===================================================================
--- DCWoRMS/trunk/example/tomekp/experiment1_result/Stats_Simulation 1_Energy.txt	(revision 481)
+++ DCWoRMS/trunk/example/tomekp/experiment1_result/Stats_Simulation 1_Energy.txt	(revision 481)
@@ -0,0 +1,17 @@
+resourceName;timestamp;usage;
+ComputingNode_0;1225666800000;750;
+ComputingNode_0;1225724400000;750;
+mean: 750.0 sum: 12000.0
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: DCWoRMS/trunk/example/tomekp/experiment1_result/Stats_Simulation 1_Jobs.txt
===================================================================
--- DCWoRMS/trunk/example/tomekp/experiment1_result/Stats_Simulation 1_Jobs.txt	(revision 481)
+++ DCWoRMS/trunk/example/tomekp/experiment1_result/Stats_Simulation 1_Jobs.txt	(revision 481)
@@ -0,0 +1,14 @@
+jobID;meanTaskCompletionTime;meanTaskExecutionTime;meanTaskStartTime;meanTaskFlowTime;meanTaskWaitingTime;meanTaskGQ_WaitingTime;lateness;tardiness;makespan;
+1;7,200;7,200;0;7,200;0;0;0;0;7,200;
+2;14,400;7,200;0;7,200;0;0;0;0;14,400;
+3;14,400;7,200;0;7,200;0;0;0;0;14,400;
+4;14,400;7,200;0;7,200;0;0;0;0;14,400;
+5;14,400;7,200;0;7,200;0;0;0;0;14,400;
+6;14,401;7,201;0;7,201;0;0;0;0;14,401;
+7;14,401;7,201;0;7,201;0;0;0;0;14,401;
+8;21,601;14,401;0;14,401;0;0;0;0;21,601;
+9;14,400;7,200;0;7,200;0;0;0;0;14,400;
+10;39,601;18,001;0;18,001;0;0;0;0;39,601;
+11;39,601;14,401;0;14,401;0;0;0;0;39,601;
+12;46,801;7,201;0;7,201;0;0;0;0;46,801;
+13;57,599;10,799;0;10,799;0;0;0;0;57,599;
Index: DCWoRMS/trunk/example/experiment2_result/Stats_Simulation 1_Jobs.txt
===================================================================
--- DCWoRMS/trunk/example/experiment2_result/Stats_Simulation 1_Jobs.txt	(revision 477)
+++ DCWoRMS/trunk/example/experiment2_result/Stats_Simulation 1_Jobs.txt	(revision 481)
@@ -8,7 +8,7 @@
 7;7,200;7,200;0;7,200;0;0;0;0;7,200;
 8;14,400;14,400;0;14,400;0;0;0;0;14,400;
-9;10,800;7,200;0;7,200;0;0;0;0;10,800;
-10;32,400;10,800;0;10,800;0;0;0;0;32,400;
-11;37,800;12,600;0;12,600;0;0;0;0;37,800;
-12;46,800;7,200;0;7,200;0;0;0;0;46,800;
-13;52,200;5,400;0;5,400;0;0;0;0;52,200;
+9;10,800;7,200;0;7,200;3,600;-3,600;0;0;10,800;
+10;32,400;10,800;0;10,800;21,600;-21,600;0;0;32,400;
+11;37,800;12,600;0;12,600;25,200;-25,200;0;0;37,800;
+12;46,800;7,200;0;7,200;39,600;-39,600;0;0;46,800;
+13;52,200;5,400;0;5,400;46,800;-46,800;0;0;52,200;
Index: DCWoRMS/trunk/example/experiment2_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- DCWoRMS/trunk/example/experiment2_result/Stats_Simulation 1_Simulation.txt	(revision 477)
+++ DCWoRMS/trunk/example/experiment2_result/Stats_Simulation 1_Simulation.txt	(revision 481)
@@ -11,5 +11,5 @@
 Task start time;0;0;0;0;0;0;13;
 Task flow time;8,169.231;2,605.138;6,786,745.562;5,400;14,400;106,200;13;
-Task waiting time;0;0;0;0;0;0;13;
+Task waiting time;10,523.077;16,251.398;264,107,928.994;0;46,800;136,800;13;
 Task lateness;0;0;0;0;0;0;13;
 Task tardiness;0;0;0;0;0;0;13;
Index: DCWoRMS/trunk/example/experiment2_result/Stats_Simulation 1_Tasks.txt
===================================================================
--- DCWoRMS/trunk/example/experiment2_result/Stats_Simulation 1_Tasks.txt	(revision 477)
+++ DCWoRMS/trunk/example/experiment2_result/Stats_Simulation 1_Tasks.txt	(revision 481)
@@ -8,7 +8,7 @@
 7;7;-1;ManagementSystem@cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_17];
 8;8;-1;ManagementSystem@cluster;1;1225666800;1225681200;1225681200;1225666800;1225666800;14400;0;14400;0;0;14400;0;0;0;0;0;0;[Processor_18];
-9;9;-1;ManagementSystem@cluster;1;1225670400;1225677600;1225677600;1225670400;1225670400;10800;3600;7200;3600;0;7200;0;0;0;0;0;0;[Processor_10];
-10;10;-1;ManagementSystem@cluster;1;1225688400;1225699200;1225699200;1225688400;1225688400;32400;21600;10800;21600;0;10800;0;0;0;0;0;0;[Processor_16];
-11;11;-1;ManagementSystem@cluster;1;1225692000;1225704600;1225704600;1225692000;1225692000;37800;25200;12600;25200;0;12600;0;0;0;0;0;0;[Processor_18];
-12;12;-1;ManagementSystem@cluster;1;1225706400;1225713600;1225713600;1225706400;1225706400;46800;39600;7200;39600;0;7200;0;0;0;0;0;0;[Processor_16];
-13;13;-1;ManagementSystem@cluster;1;1225713600;1225719000;1225719000;1225713600;1225713600;52200;46800;5400;46800;0;5400;0;0;0;0;0;0;[Processor_16];
+9;9;-1;ManagementSystem@cluster;1;1225670400;1225677600;1225677600;1225670400;1225666800;10800;3600;7200;3600;0;7200;3600;-3600;0;0;0;0;[Processor_10];
+10;10;-1;ManagementSystem@cluster;1;1225688400;1225699200;1225699200;1225688400;1225666800;32400;21600;10800;21600;0;10800;21600;-21600;0;0;0;0;[Processor_16];
+11;11;-1;ManagementSystem@cluster;1;1225692000;1225704600;1225704600;1225692000;1225666800;37800;25200;12600;25200;0;12600;25200;-25200;0;0;0;0;[Processor_18];
+12;12;-1;ManagementSystem@cluster;1;1225706400;1225713600;1225713600;1225706400;1225666800;46800;39600;7200;39600;0;7200;39600;-39600;0;0;0;0;[Processor_16];
+13;13;-1;ManagementSystem@cluster;1;1225713600;1225719000;1225719000;1225713600;1225666800;52200;46800;5400;46800;0;5400;46800;-46800;0;0;0;0;[Processor_16];
Index: DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Jobs.txt
===================================================================
--- DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Jobs.txt	(revision 481)
+++ DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Jobs.txt	(revision 481)
@@ -0,0 +1,14 @@
+jobID;meanTaskCompletionTime;meanTaskExecutionTime;meanTaskStartTime;meanTaskFlowTime;meanTaskWaitingTime;meanTaskGQ_WaitingTime;lateness;tardiness;makespan;
+1;7,200;7,200;0;7,200;0;0;0;0;7,200;
+2;7,200;7,200;0;7,200;0;0;0;0;7,200;
+3;7,200;7,200;0;7,200;0;0;0;0;7,200;
+4;7,200;7,200;0;7,200;0;0;0;0;7,200;
+5;7,200;7,200;0;7,200;0;0;0;0;7,200;
+6;10,800;10,800;0;10,800;0;0;0;0;10,800;
+7;14,400;14,400;0;14,400;0;0;0;0;14,400;
+8;28,800;28,800;0;28,800;0;0;0;0;28,800;
+9;10,800;7,200;0;7,200;3,600;-3,600;0;0;10,800;
+10;43,200;21,600;0;21,600;21,600;-21,600;0;0;43,200;
+11;50,400;25,200;0;25,200;25,200;-25,200;0;0;50,400;
+12;54,000;14,400;0;14,400;39,600;-39,600;0;0;54,000;
+13;57,600;10,800;0;10,800;46,800;-46,800;0;0;57,600;
Index: DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Simulation.txt	(revision 481)
+++ DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Simulation.txt	(revision 481)
@@ -0,0 +1,15 @@
+Resource name;mean;stdev;variance;minimum;maximum;sum;count;
+Delayed tasks;0;0;0;0;0;0;1;
+Failed requests (tasks);0;0;0;0;0;0;1;
+Makespan;57,600;0;0;57,600;57,600;57,600;1;
+Resources queue length;0.812;0;0;0.812;0.812;0.812;1;
+Resources total load;0.184;0;0;0.184;0.184;0.184;1;
+Resources reservation load;?;?;?;?;?;?;0;
+Energy usage;1,009.234;250.917;62,959.13;750;1,364.75;4,036.938;4;
+Task completion time;23,538.462;19,546.14;382,051,597.633;7,200;57,600;306,000;13;
+Task execution time;13,015.385;7,274.174;52,913,609.467;7,200;28,800;169,200;13;
+Task start time;0;0;0;0;0;0;13;
+Task flow time;13,015.385;7,274.174;52,913,609.467;7,200;28,800;169,200;13;
+Task waiting time;10,523.077;16,251.398;264,107,928.994;0;46,800;136,800;13;
+Task lateness;0;0;0;0;0;0;13;
+Task tardiness;0;0;0;0;0;0;13;
Index: DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Tasks.txt
===================================================================
--- DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Tasks.txt	(revision 481)
+++ DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Tasks.txt	(revision 481)
@@ -0,0 +1,14 @@
+JobID;TaskID;UserDN;ResName;CpuCnt;ExecStartDate;ExecFinishDate;ExecEndDate;GB_SubDate;LB_SubDate;CompletionTime;ExecStartTime;ExecutionTime;ReadyTime;StartTime;FlowTime;WaitingTime;GQ_WaitingTime;Lateness;Tardiness;ReservStartDate;ReservFinishDate;ProcessorName;Energy;
+1;1;-1;ManagementSystem@cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_0];
+2;2;-1;ManagementSystem@cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_1];
+3;3;-1;ManagementSystem@cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_2];
+4;4;-1;ManagementSystem@cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_3];
+5;5;-1;ManagementSystem@cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_4];
+6;6;-1;ManagementSystem@cluster;1;1225666800;1225677600;1225677600;1225666800;1225666800;10800;0;10800;0;0;10800;0;0;0;0;0;0;[Processor_5];
+7;7;-1;ManagementSystem@cluster;1;1225666800;1225681200;1225681200;1225666800;1225666800;14400;0;14400;0;0;14400;0;0;0;0;0;0;[Processor_6];
+8;8;-1;ManagementSystem@cluster;1;1225666800;1225695600;1225695600;1225666800;1225666800;28800;0;28800;0;0;28800;0;0;0;0;0;0;[Processor_7];
+9;9;-1;ManagementSystem@cluster;1;1225670400;1225677600;1225677600;1225670400;1225666800;10800;3600;7200;3600;0;7200;3600;-3600;0;0;0;0;[Processor_8];
+10;10;-1;ManagementSystem@cluster;1;1225688400;1225710000;1225710000;1225688400;1225666800;43200;21600;21600;21600;0;21600;21600;-21600;0;0;0;0;[Processor_0];
+11;11;-1;ManagementSystem@cluster;1;1225692000;1225717200;1225717200;1225692000;1225666800;50400;25200;25200;25200;0;25200;25200;-25200;0;0;0;0;[Processor_1];
+12;12;-1;ManagementSystem@cluster;1;1225706400;1225720800;1225720800;1225706400;1225666800;54000;39600;14400;39600;0;14400;39600;-39600;0;0;0;0;[Processor_2];
+13;13;-1;ManagementSystem@cluster;1;1225713600;1225724400;1225724400;1225713600;1225666800;57600;46800;10800;46800;0;10800;46800;-46800;0;0;0;0;[Processor_0];