Index: /DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Energy.txt
===================================================================
--- /DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Energy.txt	(revision 477)
+++ /DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Energy.txt	(revision 491)
@@ -6,2 +6,3 @@
 
 
+
Index: /DCWoRMS/trunk/example/experiment1_result/experiment.properties
===================================================================
--- /DCWoRMS/trunk/example/experiment1_result/experiment.properties	(revision 477)
+++ /DCWoRMS/trunk/example/experiment1_result/experiment.properties	(revision 491)
@@ -17,5 +17,5 @@
 
 creatediagrams.gantt=true
-creatediagrams.utilization=true
+creatediagrams.utilization=Processor
 creatediagrams.energyusage=true
 
Index: /DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_ResourceUtilization.txt
===================================================================
--- /DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 477)
+++ /DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 491)
@@ -1,3 +1,18 @@
 resourceName;timestamp;usage;
+compRes;1225666800000;6;
+compRes;1225674000000;4;
+compRes;1225677600000;3;
+compRes;1225681200000;2;
+compRes;1225688400000;2;
+compRes;1225692000000;3;
+compRes;1225702800000;2;
+compRes;1225706400000;3;
+compRes;1225710000000;2;
+compRes;1225713600000;3;
+compRes;1225717200000;2;
+compRes;1225720800000;1;
+compRes;1225724400000;0;
+mean: 0.4895833333333333
+
 Processor_0;1225666800000;1;
 Processor_0;1225674000000;1;
Index: /DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- /DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Simulation.txt	(revision 481)
+++ /DCWoRMS/trunk/example/experiment1_result/Stats_Simulation 1_Simulation.txt	(revision 491)
@@ -6,5 +6,5 @@
 Resources total load;0.49;0;0;0.49;0.49;0.49;1;
 Resources reservation load;?;?;?;?;?;?;0;
-Energy usage;?;?;?;?;?;?;0;
+Energy usage;0;0;0;0;0;0;1;
 Task completion time;24,923.077;19,435.976;377,757,159.763;7,200;57,600;324,000;13;
 Task execution time;13,015.385;7,274.174;52,913,609.467;7,200;28,800;169,200;13;
Index: /DCWoRMS/trunk/example/experiment2_result/Stats_Simulation 1_ResourceUtilization.txt
===================================================================
--- /DCWoRMS/trunk/example/experiment2_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 477)
+++ /DCWoRMS/trunk/example/experiment2_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 491)
@@ -1,3 +1,33 @@
 resourceName;timestamp;usage;
+compRes;1225666800000;8;
+compRes;1225670400000;9;
+compRes;1225672200000;8;
+compRes;1225674000000;2;
+compRes;1225677600000;1;
+compRes;1225681200000;0;
+compRes;1225688400000;1;
+compRes;1225692000000;2;
+compRes;1225699200000;1;
+compRes;1225704600000;0;
+compRes;1225706400000;1;
+compRes;1225713600000;1;
+compRes;1225719000000;0;
+mean: 0.08477011494252874
+
+Rack_0;1225666800000;8;
+Rack_0;1225670400000;9;
+Rack_0;1225672200000;8;
+Rack_0;1225674000000;2;
+Rack_0;1225677600000;1;
+Rack_0;1225681200000;0;
+Rack_0;1225688400000;1;
+Rack_0;1225692000000;2;
+Rack_0;1225699200000;1;
+Rack_0;1225704600000;0;
+Rack_0;1225706400000;1;
+Rack_0;1225713600000;1;
+Rack_0;1225719000000;0;
+mean: 0.08477011494252874
+
 ComputingNode_0;1225666800000;1;
 ComputingNode_0;1225674000000;0;
Index: /DCWoRMS/trunk/example/experiment2_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- /DCWoRMS/trunk/example/experiment2_result/Stats_Simulation 1_Simulation.txt	(revision 481)
+++ /DCWoRMS/trunk/example/experiment2_result/Stats_Simulation 1_Simulation.txt	(revision 491)
@@ -6,5 +6,5 @@
 Resources total load;0.085;0;0;0.085;0.085;0.085;1;
 Resources reservation load;?;?;?;?;?;?;0;
-Energy usage;?;?;?;?;?;?;0;
+Energy usage;0;0;0;0;0;0;1;
 Task completion time;18,692.308;16,444.895;270,434,556.213;5,400;52,200;243,000;13;
 Task execution time;8,169.231;2,605.138;6,786,745.562;5,400;14,400;106,200;13;
Index: /DCWoRMS/trunk/example/experiment2_result/Stats_Simulation 1_Energy.txt
===================================================================
--- /DCWoRMS/trunk/example/experiment2_result/Stats_Simulation 1_Energy.txt	(revision 477)
+++ /DCWoRMS/trunk/example/experiment2_result/Stats_Simulation 1_Energy.txt	(revision 491)
@@ -36,2 +36,4 @@
 
 
+
+
Index: /DCWoRMS/trunk/example/experiment2_result/experiment.properties
===================================================================
--- /DCWoRMS/trunk/example/experiment2_result/experiment.properties	(revision 477)
+++ /DCWoRMS/trunk/example/experiment2_result/experiment.properties	(revision 491)
@@ -17,4 +17,4 @@
 
 creatediagrams.gantt=true
-creatediagrams.utilization=true
+creatediagrams.utilization=ComputingNode;Processor
 creatediagrams.taskswaitingtime=false
Index: /DCWoRMS/trunk/example/experiment1/experiment1.properties
===================================================================
--- /DCWoRMS/trunk/example/experiment1/experiment1.properties	(revision 477)
+++ /DCWoRMS/trunk/example/experiment1/experiment1.properties	(revision 491)
@@ -17,5 +17,5 @@
 
 creatediagrams.gantt=true
-creatediagrams.utilization=true
+creatediagrams.utilization=Processor
 creatediagrams.energyusage=true
 
Index: /DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_ResourceUtilization.txt
===================================================================
--- /DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 477)
+++ /DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 491)
@@ -1,3 +1,35 @@
 resourceName;timestamp;usage;
+compRes;1225666800000;8;
+compRes;1225670400000;9;
+compRes;1225674000000;4;
+compRes;1225677600000;2;
+compRes;1225681200000;1;
+compRes;1225688400000;2;
+compRes;1225692000000;3;
+compRes;1225695600000;2;
+compRes;1225706400000;3;
+compRes;1225710000000;2;
+compRes;1225713600000;3;
+compRes;1225717200000;2;
+compRes;1225720800000;1;
+compRes;1225724400000;0;
+mean: 0.18359375
+
+Rack_0;1225666800000;8;
+Rack_0;1225670400000;9;
+Rack_0;1225674000000;4;
+Rack_0;1225677600000;2;
+Rack_0;1225681200000;1;
+Rack_0;1225688400000;2;
+Rack_0;1225692000000;3;
+Rack_0;1225695600000;2;
+Rack_0;1225706400000;3;
+Rack_0;1225710000000;2;
+Rack_0;1225713600000;3;
+Rack_0;1225717200000;2;
+Rack_0;1225720800000;1;
+Rack_0;1225724400000;0;
+mean: 0.18359375
+
 ComputingNode_0;1225666800000;4;
 ComputingNode_0;1225674000000;0;
Index: /DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- /DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Simulation.txt	(revision 481)
+++ /DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Simulation.txt	(revision 491)
@@ -6,5 +6,5 @@
 Resources total load;0.184;0;0;0.184;0.184;0.184;1;
 Resources reservation load;?;?;?;?;?;?;0;
-Energy usage;1,009.234;250.917;62,959.13;750;1,364.75;4,036.938;4;
+Energy usage;807.388;461.883;213,335.948;0;1,364.75;4,036.938;5;
 Task completion time;23,538.462;19,546.14;382,051,597.633;7,200;57,600;306,000;13;
 Task execution time;13,015.385;7,274.174;52,913,609.467;7,200;28,800;169,200;13;
Index: /DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Energy.txt
===================================================================
--- /DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Energy.txt	(revision 477)
+++ /DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Energy.txt	(revision 491)
@@ -1,3 +1,5 @@
 resourceName;timestamp;usage;
+
+
 ComputingNode_0;1225666800000;2,150;
 ComputingNode_0;1225674000000;754;
Index: /DCWoRMS/trunk/example/experiment3_result/experiment.properties
===================================================================
--- /DCWoRMS/trunk/example/experiment3_result/experiment.properties	(revision 477)
+++ /DCWoRMS/trunk/example/experiment3_result/experiment.properties	(revision 491)
@@ -17,4 +17,4 @@
 
 creatediagrams.gantt=true
-creatediagrams.utilization=true
 creatediagrams.taskswaitingtime=false
+creatediagrams.energyusage=DataCenter;Rack;ComputingNode;Processor
Index: /DCWoRMS/trunk/example/experiment2/experiment2.properties
===================================================================
--- /DCWoRMS/trunk/example/experiment2/experiment2.properties	(revision 477)
+++ /DCWoRMS/trunk/example/experiment2/experiment2.properties	(revision 491)
@@ -17,4 +17,4 @@
 
 creatediagrams.gantt=true
-creatediagrams.utilization=true
+creatediagrams.utilization=ComputingNode;Processor
 creatediagrams.taskswaitingtime=false
Index: /DCWoRMS/trunk/example/experiment3/experiment3.properties
===================================================================
--- /DCWoRMS/trunk/example/experiment3/experiment3.properties	(revision 477)
+++ /DCWoRMS/trunk/example/experiment3/experiment3.properties	(revision 491)
@@ -17,4 +17,4 @@
 
 creatediagrams.gantt=true
-creatediagrams.utilization=true
 creatediagrams.taskswaitingtime=false
+creatediagrams.energyusage=DataCenter;Rack;ComputingNode;Processor
Index: /DCWoRMS/trunk/example/experiment3/resources.xml
===================================================================
--- /DCWoRMS/trunk/example/experiment3/resources.xml	(revision 477)
+++ /DCWoRMS/trunk/example/experiment3/resources.xml	(revision 491)
@@ -182,12 +182,12 @@
 			</schedulingPlugin>	
 			<queues>
-						<queue>
-				<name>queue1</name>
-				<priority>1</priority>
-			</queue>
-						<queue>
-				<name>queue1</name>
-				<priority>1</priority>
-			</queue>
+				<queue>
+					<name>queue1</name>
+					<priority>1</priority>
+				</queue>
+				<queue>
+					<name>queue1</name>
+					<priority>1</priority>
+				</queue>
 			</queues>	
 