Index: DCWoRMS/trunk/src/schedframe/scheduling/queue/TaskQueue.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/queue/TaskQueue.java	(revision 490)
+++ DCWoRMS/trunk/src/schedframe/scheduling/queue/TaskQueue.java	(revision 493)
@@ -1,5 +1,5 @@
 package schedframe.scheduling.queue;
 
-import gridsim.gssim.DCWormsTags;
+import gridsim.dcworms.DCWormsTags;
 
 import org.joda.time.DateTime;
Index: DCWoRMS/trunk/src/schedframe/scheduling/Scheduler.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/Scheduler.java	(revision 481)
+++ DCWoRMS/trunk/src/schedframe/scheduling/Scheduler.java	(revision 493)
@@ -8,5 +8,5 @@
 import gridsim.GridSimTags;
 import gridsim.IO_data;
-import gridsim.gssim.DCWormsTags;
+import gridsim.dcworms.DCWormsTags;
 
 import java.util.ArrayList;
Index: DCWoRMS/trunk/src/schedframe/scheduling/policy/global/GlobalManagementSystem.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/policy/global/GlobalManagementSystem.java	(revision 490)
+++ DCWoRMS/trunk/src/schedframe/scheduling/policy/global/GlobalManagementSystem.java	(revision 493)
@@ -36,5 +36,5 @@
 import gridsim.GridSimTags;
 import gridsim.IO_data;
-import gridsim.gssim.DCWormsTags;
+import gridsim.dcworms.DCWormsTags;
 
 public class GlobalManagementSystem extends AbstractManagementSystem {
Index: DCWoRMS/trunk/src/schedframe/scheduling/policy/AbstractManagementSystem.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/policy/AbstractManagementSystem.java	(revision 490)
+++ DCWoRMS/trunk/src/schedframe/scheduling/policy/AbstractManagementSystem.java	(revision 493)
@@ -37,5 +37,5 @@
 import gridsim.GridSimTags;
 import gridsim.IO_data;
-import gridsim.gssim.DCWormsTags;
+import gridsim.dcworms.DCWormsTags;
 
 public abstract class AbstractManagementSystem {
Index: DCWoRMS/trunk/src/schedframe/scheduling/policy/local/LocalManagementSystem.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/policy/local/LocalManagementSystem.java	(revision 490)
+++ DCWoRMS/trunk/src/schedframe/scheduling/policy/local/LocalManagementSystem.java	(revision 493)
@@ -7,6 +7,6 @@
 import gridsim.Accumulator;
 import gridsim.ResourceCalendar;
-import gridsim.gssim.DCWormsTags;
-import gridsim.gssim.filter.ExecTaskFilter;
+import gridsim.dcworms.DCWormsTags;
+import gridsim.dcworms.filter.ExecTaskFilter;
 
 import java.util.ArrayList;
Index: DCWoRMS/trunk/src/schedframe/scheduling/Cluster.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/Cluster.java	(revision 481)
+++ DCWoRMS/trunk/src/schedframe/scheduling/Cluster.java	(revision 493)
@@ -13,5 +13,5 @@
 import gridsim.GridSimTags;
 import gridsim.IO_data;
-import gridsim.gssim.DCWormsTags;
+import gridsim.dcworms.DCWormsTags;
 
 public class Cluster extends Scheduler{
Index: DCWoRMS/trunk/src/schedframe/scheduling/GridResourceDiscovery.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/GridResourceDiscovery.java	(revision 481)
+++ DCWoRMS/trunk/src/schedframe/scheduling/GridResourceDiscovery.java	(revision 493)
@@ -5,5 +5,5 @@
 import gridsim.GridSimTags;
 import gridsim.IO_data;
-import gridsim.gssim.DCWormsTags;
+import gridsim.dcworms.DCWormsTags;
 
 import java.util.ArrayList;
Index: DCWoRMS/trunk/src/schedframe/scheduling/manager/tasks/JobRegistryImpl.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/manager/tasks/JobRegistryImpl.java	(revision 490)
+++ DCWoRMS/trunk/src/schedframe/scheduling/manager/tasks/JobRegistryImpl.java	(revision 493)
@@ -1,5 +1,5 @@
 package schedframe.scheduling.manager.tasks;
 
-import gridsim.gssim.DCWormsTags;
+import gridsim.dcworms.DCWormsTags;
 
 import java.util.ArrayList;
Index: DCWoRMS/trunk/src/schedframe/resources/computing/ComputingResource.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/resources/computing/ComputingResource.java	(revision 481)
+++ DCWoRMS/trunk/src/schedframe/resources/computing/ComputingResource.java	(revision 493)
@@ -2,5 +2,5 @@
 
 import gridsim.GridSimTags;
-import gridsim.gssim.DCWormsTags;
+import gridsim.dcworms.DCWormsTags;
 
 import java.util.ArrayList;
Index: DCWoRMS/trunk/src/example/localplugin/FCFSConsolidationClusterLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSConsolidationClusterLocalPlugin.java	(revision 481)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSConsolidationClusterLocalPlugin.java	(revision 493)
@@ -1,5 +1,5 @@
 package example.localplugin;
 
-import gridsim.gssim.DCWormsTags;
+import gridsim.dcworms.DCWormsTags;
 
 import java.util.ArrayList;
Index: DCWoRMS/trunk/src/example/localplugin/FCFSCPUFreqScalingClusterLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSCPUFreqScalingClusterLocalPlugin.java	(revision 490)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSCPUFreqScalingClusterLocalPlugin.java	(revision 493)
@@ -1,5 +1,5 @@
 package example.localplugin;
 
-import gridsim.gssim.DCWormsTags;
+import gridsim.dcworms.DCWormsTags;
 
 import java.util.ArrayList;
Index: DCWoRMS/trunk/src/example/localplugin/FCFSEnergyAwareClusterLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSEnergyAwareClusterLocalPlugin.java	(revision 481)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSEnergyAwareClusterLocalPlugin.java	(revision 493)
@@ -1,5 +1,5 @@
 package example.localplugin;
 
-import gridsim.gssim.DCWormsTags;
+import gridsim.dcworms.DCWormsTags;
 
 import java.util.ArrayList;
Index: DCWoRMS/trunk/src/example/localplugin/RackLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/RackLocalPlugin.java	(revision 481)
+++ DCWoRMS/trunk/src/example/localplugin/RackLocalPlugin.java	(revision 493)
@@ -1,5 +1,5 @@
 package example.localplugin;
 
-import gridsim.gssim.DCWormsTags;
+import gridsim.dcworms.DCWormsTags;
 import schedframe.events.scheduling.SchedulingEvent;
 import schedframe.scheduling.manager.resources.ClusterResourceManager;
Index: DCWoRMS/trunk/src/example/localplugin/FCFSClusterLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSClusterLocalPlugin.java	(revision 481)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSClusterLocalPlugin.java	(revision 493)
@@ -1,5 +1,5 @@
 package example.localplugin;
 
-import gridsim.gssim.DCWormsTags;
+import gridsim.dcworms.DCWormsTags;
 
 import java.util.ArrayList;
Index: DCWoRMS/trunk/src/example/localplugin/FCFSNodePowerManagementClusterLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSNodePowerManagementClusterLocalPlugin.java	(revision 481)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSNodePowerManagementClusterLocalPlugin.java	(revision 493)
@@ -1,5 +1,5 @@
 package example.localplugin;
 
-import gridsim.gssim.DCWormsTags;
+import gridsim.dcworms.DCWormsTags;
 
 import java.util.ArrayList;
Index: DCWoRMS/trunk/src/example/localplugin/FCFSRandomClusterLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSRandomClusterLocalPlugin.java	(revision 481)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSRandomClusterLocalPlugin.java	(revision 493)
@@ -1,5 +1,5 @@
 package example.localplugin;
 
-import gridsim.gssim.DCWormsTags;
+import gridsim.dcworms.DCWormsTags;
 
 import java.util.List;
Index: DCWoRMS/trunk/src/example/localplugin/FCFS_BFLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFS_BFLocalPlugin.java	(revision 481)
+++ DCWoRMS/trunk/src/example/localplugin/FCFS_BFLocalPlugin.java	(revision 493)
@@ -1,5 +1,5 @@
 package example.localplugin;
 
-import gridsim.gssim.DCWormsTags;
+import gridsim.dcworms.DCWormsTags;
 import schedframe.events.scheduling.SchedulingEvent;
 import schedframe.scheduling.manager.resources.ResourceManager;
Index: DCWoRMS/trunk/src/dcworms/schedframe/scheduling/Executable.java
===================================================================
--- DCWoRMS/trunk/src/dcworms/schedframe/scheduling/Executable.java	(revision 490)
+++ DCWoRMS/trunk/src/dcworms/schedframe/scheduling/Executable.java	(revision 493)
@@ -3,5 +3,5 @@
 
 import gridsim.GridSim;
-import gridsim.gssim.DCWormsTags;
+import gridsim.dcworms.DCWormsTags;
 
 import java.util.ArrayList;
Index: DCWoRMS/trunk/src/gridsim/dcworms/DCWormsTags.java
===================================================================
--- DCWoRMS/trunk/src/gridsim/dcworms/DCWormsTags.java	(revision 493)
+++ DCWoRMS/trunk/src/gridsim/dcworms/DCWormsTags.java	(revision 493)
@@ -0,0 +1,53 @@
+package gridsim.dcworms;
+
+import gridsim.GridSimTags;
+
+/**
+ * @author Marcin Krystek
+ */
+public class DCWormsTags extends GridSimTags {
+	
+	protected static final int GSSIMBASE = 600; 
+	
+	public static final int UPDATE= GSSIMBASE - 1;
+	
+	public static final int TIMER = GSSIMBASE + 1;
+	
+	public static final int TASK_READY_FOR_EXECUTION = GSSIMBASE + 2;
+	
+	public static final int TASK_EXECUTION_FINISHED = GSSIMBASE + 3;
+	
+
+	/**
+	 * Message tag: query resource about its current state in object form (load, queues, etc.)
+	 */ 
+	public static final int QUERY_RESOURCE_DESC = GSSIMBASE + 4; 
+
+	public static final int QUERY_RESOURCE_DESC_RESULT = GSSIMBASE + 5; 
+	
+	public static final int TASK_REQUESTED_TIME_EXPIRED = GSSIMBASE + 6;
+
+	
+    public static final int CREATED = 0;
+
+    public static final int SUBMITTED = 1;
+    
+    public static final int READY = 2;
+
+    public static final int QUEUED = 3;
+
+    public static final int INEXEC = 4;
+
+    public static final int SUCCESS = 5;
+
+    public static final int FAILED = 6;
+
+    public static final int CANCELED = 7;
+
+    public static final int PAUSED = 8;
+
+    public static final int RESUMED = 9;
+
+    public static final int FAILED_RESOURCE_UNAVAILABLE = 10;
+
+}
Index: DCWoRMS/trunk/src/gridsim/dcworms/filter/ExecTaskFilter.java
===================================================================
--- DCWoRMS/trunk/src/gridsim/dcworms/filter/ExecTaskFilter.java	(revision 493)
+++ DCWoRMS/trunk/src/gridsim/dcworms/filter/ExecTaskFilter.java	(revision 493)
@@ -0,0 +1,45 @@
+package gridsim.dcworms.filter;
+
+import dcworms.schedframe.scheduling.Executable;
+import eduni.simjava.Sim_event;
+import gridsim.filter.FilterResult;
+
+/**
+ * @author wojtek
+ *
+ */
+public class ExecTaskFilter extends FilterResult {
+
+	public ExecTaskFilter(int taskId, int tag) {
+		super(taskId, tag);
+	}
+
+	public boolean match(Sim_event ev) {
+
+		if (ev == null) {
+			return false;
+		}
+
+		boolean result = false;
+		try {
+
+			if (tag_ == ev.get_tag()) {
+				Object obj = ev.get_data();
+
+				if (obj instanceof Executable) {
+
+					Executable exec = (Executable) obj;
+
+					if (exec.getUniqueId() == eventID_) {
+						result = true;
+					}
+				}
+			}
+		} catch (Exception e) {
+			result = false;
+		}
+
+		return result;
+	}
+
+}
Index: DCWoRMS/trunk/src/gridsim/gssim/DCWormsTags.java
===================================================================
--- DCWoRMS/trunk/src/gridsim/gssim/DCWormsTags.java	(revision 481)
+++ 	(revision )
@@ -1,53 +1,0 @@
-package gridsim.gssim;
-
-import gridsim.GridSimTags;
-
-/**
- * @author Marcin Krystek
- */
-public class DCWormsTags extends GridSimTags {
-	
-	protected static final int GSSIMBASE = 600; 
-	
-	public static final int UPDATE= GSSIMBASE - 1;
-	
-	public static final int TIMER = GSSIMBASE + 1;
-	
-	public static final int TASK_READY_FOR_EXECUTION = GSSIMBASE + 2;
-	
-	public static final int TASK_EXECUTION_FINISHED = GSSIMBASE + 3;
-	
-
-	/**
-	 * Message tag: query resource about its current state in object form (load, queues, etc.)
-	 */ 
-	public static final int QUERY_RESOURCE_DESC = GSSIMBASE + 4; 
-
-	public static final int QUERY_RESOURCE_DESC_RESULT = GSSIMBASE + 5; 
-	
-	public static final int TASK_REQUESTED_TIME_EXPIRED = GSSIMBASE + 6;
-
-	
-    public static final int CREATED = 0;
-
-    public static final int SUBMITTED = 1;
-    
-    public static final int READY = 2;
-
-    public static final int QUEUED = 3;
-
-    public static final int INEXEC = 4;
-
-    public static final int SUCCESS = 5;
-
-    public static final int FAILED = 6;
-
-    public static final int CANCELED = 7;
-
-    public static final int PAUSED = 8;
-
-    public static final int RESUMED = 9;
-
-    public static final int FAILED_RESOURCE_UNAVAILABLE = 10;
-
-}
Index: DCWoRMS/trunk/src/simulator/DataCenterWorkloadSimulator.java
===================================================================
--- DCWoRMS/trunk/src/simulator/DataCenterWorkloadSimulator.java	(revision 481)
+++ DCWoRMS/trunk/src/simulator/DataCenterWorkloadSimulator.java	(revision 493)
@@ -1,5 +1,4 @@
 package simulator;
 
-//import eduni.cloudsim.GSSIM;
 import java.io.File;
 import java.io.FileReader;
@@ -117,5 +116,5 @@
 				@Override
 				public String getDescription() {
-					return "WoRMS experiment file";
+					return "DCWoRMS experiment file";
 				}
 			};
Index: DCWoRMS/trunk/src/simulator/stats/implementation/DCWormsStatistics.java
===================================================================
--- DCWoRMS/trunk/src/simulator/stats/implementation/DCWormsStatistics.java	(revision 490)
+++ DCWoRMS/trunk/src/simulator/stats/implementation/DCWormsStatistics.java	(revision 493)
@@ -161,8 +161,6 @@
 		this.outputFolderName = outputFolderName;
 
-		if (this.configuration.formatstatisticsoutput)
-			this.serializer = new FormatedStringSerializer();
-		else
-			this.serializer = new StringSerializer();
+
+		this.serializer = new StringSerializer();
 
 		this.serializer.setDefaultNumberFormat(DataCenterWorkloadSimulator.DFAULT_NUMBER_FORMAT);
Index: DCWoRMS/trunk/src/simulator/DCWormsUsers.java
===================================================================
--- DCWoRMS/trunk/src/simulator/DCWormsUsers.java	(revision 490)
+++ DCWoRMS/trunk/src/simulator/DCWormsUsers.java	(revision 493)
@@ -8,5 +8,5 @@
 import gridsim.GridSimTags;
 import gridsim.IO_data;
-import gridsim.gssim.DCWormsTags;
+import gridsim.dcworms.DCWormsTags;
 import gridsim.net.InfoPacket;
 
Index: DCWoRMS/trunk/src/simulator/ConfigurationOptions.java
===================================================================
--- DCWoRMS/trunk/src/simulator/ConfigurationOptions.java	(revision 490)
+++ DCWoRMS/trunk/src/simulator/ConfigurationOptions.java	(revision 493)
@@ -76,5 +76,4 @@
 	public static final String JOBS_STATISTICS = CREATESTATISTICS + ".jobs";
 	public static final String SIMULATION_STATISTICS = CREATESTATISTICS + ".simulation";
-	public static final String FORMAT_STATISTICS_OUTPUT = CREATESTATISTICS + ".formatoutput";
 	
 	/**
@@ -172,5 +171,4 @@
 	public boolean createjobsstatistics = true;
 	public boolean createsimulationstatistics = true;
-	public boolean formatstatisticsoutput = false;
 	
 	public String[] resForEnergyChart;
@@ -350,11 +348,5 @@
 			co.createsimulationstatistics = true;
 		}
-		try {
-			co.formatstatisticsoutput = Boolean.valueOf(
-					bundle.getString(FORMAT_STATISTICS_OUTPUT)).booleanValue();
-		} catch(MissingResourceException e){
-			co.formatstatisticsoutput = false;
-		}
-		
+
 		try {
 			co.numberOfSimulations = Integer.valueOf(bundle.getString(NUMBER_OF_SIMULATIONS)).intValue();