Index: DCWoRMS/trunk/sim_report
===================================================================
--- DCWoRMS/trunk/sim_report	(revision 481)
+++ DCWoRMS/trunk/sim_report	(revision 494)
@@ -7,7 +7,7 @@
 Version: SimJava 2.0
 
-Simulation date:         October 8, 2012
-Simulation start time:   10:36:10 AM CEST
-Simulation end time:     10:36:11 AM CEST
+Simulation date:         October 9, 2012
+Simulation start time:   3:34:00 PM CEST
+Simulation end time:     3:34:00 PM CEST
 
 ############################################################
Index: DCWoRMS/trunk/sim_trace
===================================================================
--- DCWoRMS/trunk/sim_trace	(revision 481)
+++ DCWoRMS/trunk/sim_trace	(revision 494)
@@ -4,12 +4,12 @@
 u: Input_GridInformationService at 0.0: waiting for an event
 u: Output_GridInformationService at 0.0: waiting for an event
-u: ManagementSystem@cluster at 0.0: waiting for an event
 u: Input_ManagementSystem@cluster at 0.0: waiting for an event
 u: Output_ManagementSystem@cluster at 0.0: waiting for an event
 u: BROKER@grid at 0.0: waiting for an event
 u: Input_BROKER@grid at 0.0: waiting for an event
-u: Output_BROKER@grid at 0.0: waiting for an event
+u: ManagementSystem@cluster at 0.0: waiting for an event
+u: Output_BROKER@grid at 0.0: waiting for an event
+u: Input_Users at 0.0: waiting for an event
 u: Output_Users at 0.0: waiting for an event
-u: Input_Users at 0.0: waiting for an event
 u: Users at 0.0: scheduling event type 21 for BROKER@grid with delay 0.0
 u: Users at 0.0: scheduling event type 21 for BROKER@grid with delay 0.0
@@ -50,6 +50,6 @@
 u: ManagementSystem@cluster at 0.0: scheduling event type 605 for BROKER@grid with delay 0.0
 u: ManagementSystem@cluster at 0.0: waiting for an event
-u: Output_BROKER@grid at 0.0: waiting for an event
-u: Input_ManagementSystem@cluster at 0.0: start processing
+u: Input_ManagementSystem@cluster at 0.0: start processing
+u: Output_BROKER@grid at 0.0: waiting for an event
 u: BROKER@grid at 0.0: scheduling event type 21 for Output_BROKER@grid with delay 0.0
 u: BROKER@grid at 0.0: selected event type 21 (event time was 0.0)
@@ -67,9 +67,9 @@
 u: ManagementSystem@cluster at 0.0: scheduling event type 606 for ManagementSystem@cluster with delay 7200.0
 u: ManagementSystem@cluster at 0.0: waiting for an event
-u: Output_BROKER@grid at 0.0: waiting for an event
-u: Input_ManagementSystem@cluster at 0.0: start processing
-u: ManagementSystem@cluster at 0.0: scheduling event type 602 for ManagementSystem@cluster with delay 0.0
-u: ManagementSystem@cluster at 0.0: waiting for an event
-u: BROKER@grid at 0.0: scheduling event type 21 for Output_BROKER@grid with delay 0.0
+u: Input_ManagementSystem@cluster at 0.0: start processing
+u: Output_BROKER@grid at 0.0: waiting for an event
+u: BROKER@grid at 0.0: scheduling event type 21 for Output_BROKER@grid with delay 0.0
+u: ManagementSystem@cluster at 0.0: scheduling event type 602 for ManagementSystem@cluster with delay 0.0
+u: ManagementSystem@cluster at 0.0: waiting for an event
 u: BROKER@grid at 0.0: selected event type 21 (event time was 0.0)
 u: BROKER@grid at 0.0: scheduling event type 604 for ManagementSystem@cluster with delay 0.0
@@ -84,10 +84,10 @@
 u: ManagementSystem@cluster at 0.0: scheduling event type 605 for BROKER@grid with delay 0.0
 u: ManagementSystem@cluster at 0.0: waiting for an event
-u: Output_BROKER@grid at 0.0: waiting for an event
-u: Input_ManagementSystem@cluster at 0.0: start processing
-u: ManagementSystem@cluster at 0.0: scheduling event type 602 for ManagementSystem@cluster with delay 0.0
-u: ManagementSystem@cluster at 0.0: waiting for an event
-u: BROKER@grid at 0.0: scheduling event type 21 for Output_BROKER@grid with delay 0.0
-u: BROKER@grid at 0.0: selected event type 21 (event time was 0.0)
+u: Input_ManagementSystem@cluster at 0.0: start processing
+u: Output_BROKER@grid at 0.0: waiting for an event
+u: BROKER@grid at 0.0: scheduling event type 21 for Output_BROKER@grid with delay 0.0
+u: ManagementSystem@cluster at 0.0: scheduling event type 602 for ManagementSystem@cluster with delay 0.0
+u: BROKER@grid at 0.0: selected event type 21 (event time was 0.0)
+u: ManagementSystem@cluster at 0.0: waiting for an event
 u: BROKER@grid at 0.0: scheduling event type 604 for ManagementSystem@cluster with delay 0.0
 u: BROKER@grid at 0.0: waiting for an event
@@ -118,9 +118,9 @@
 u: ManagementSystem@cluster at 0.0: scheduling event type 605 for BROKER@grid with delay 0.0
 u: ManagementSystem@cluster at 0.0: waiting for an event
-u: Output_BROKER@grid at 0.0: waiting for an event
-u: Input_ManagementSystem@cluster at 0.0: start processing
-u: ManagementSystem@cluster at 0.0: scheduling event type 602 for ManagementSystem@cluster with delay 0.0
-u: ManagementSystem@cluster at 0.0: waiting for an event
-u: BROKER@grid at 0.0: scheduling event type 21 for Output_BROKER@grid with delay 0.0
+u: Input_ManagementSystem@cluster at 0.0: start processing
+u: Output_BROKER@grid at 0.0: waiting for an event
+u: BROKER@grid at 0.0: scheduling event type 21 for Output_BROKER@grid with delay 0.0
+u: ManagementSystem@cluster at 0.0: scheduling event type 602 for ManagementSystem@cluster with delay 0.0
+u: ManagementSystem@cluster at 0.0: waiting for an event
 u: BROKER@grid at 0.0: selected event type 21 (event time was 0.0)
 u: BROKER@grid at 0.0: scheduling event type 604 for ManagementSystem@cluster with delay 0.0
@@ -135,9 +135,9 @@
 u: ManagementSystem@cluster at 0.0: scheduling event type 605 for BROKER@grid with delay 0.0
 u: ManagementSystem@cluster at 0.0: waiting for an event
-u: Output_BROKER@grid at 0.0: waiting for an event
-u: ManagementSystem@cluster at 0.0: scheduling event type 602 for ManagementSystem@cluster with delay 0.0
-u: ManagementSystem@cluster at 0.0: waiting for an event
-u: Input_ManagementSystem@cluster at 0.0: start processing
-u: BROKER@grid at 0.0: scheduling event type 21 for Output_BROKER@grid with delay 0.0
+u: Input_ManagementSystem@cluster at 0.0: start processing
+u: Output_BROKER@grid at 0.0: waiting for an event
+u: BROKER@grid at 0.0: scheduling event type 21 for Output_BROKER@grid with delay 0.0
+u: ManagementSystem@cluster at 0.0: scheduling event type 602 for ManagementSystem@cluster with delay 0.0
+u: ManagementSystem@cluster at 0.0: waiting for an event
 u: BROKER@grid at 0.0: waiting for an event
 u: Input_ManagementSystem@cluster at 0.0: scheduling event type 21 for ManagementSystem@cluster with delay 0.0
@@ -170,6 +170,6 @@
 u: Output_BROKER@grid at 3600.0: scheduling event type 21 for Input_ManagementSystem@cluster with delay 0.0
 u: Output_BROKER@grid at 3600.0: start processing
+u: Input_ManagementSystem@cluster at 3600.0: start processing
 u: Output_BROKER@grid at 3600.0: waiting for an event
-u: Input_ManagementSystem@cluster at 3600.0: start processing
 u: Input_ManagementSystem@cluster at 3600.0: scheduling event type 21 for ManagementSystem@cluster with delay 0.0
 u: Input_ManagementSystem@cluster at 3600.0: waiting for an event
@@ -228,8 +228,11 @@
 u: BROKER@grid at 7200.0: waiting for an event
 u: Users at 7200.0: waiting for an event
+u: Output_ManagementSystem@cluster at 7200.0: waiting for an event
+u: Users at 7200.0: waiting for an event
 u: Input_BROKER@grid at 7200.0: scheduling event type 20 for BROKER@grid with delay 0.0
 u: Input_BROKER@grid at 7200.0: selected event type 20 (event time was 7200.0)
+u: BROKER@grid at 7200.0: scheduling event type 20 for Users with delay 0.0
+u: BROKER@grid at 7200.0: waiting for an event
 u: Input_BROKER@grid at 7200.0: start processing
-u: Output_ManagementSystem@cluster at 7200.0: waiting for an event
 u: Users at 7200.0: waiting for an event
 u: BROKER@grid at 7200.0: scheduling event type 20 for Users with delay 0.0
@@ -237,7 +240,4 @@
 u: Input_BROKER@grid at 7200.0: scheduling event type 20 for BROKER@grid with delay 0.0
 u: Input_BROKER@grid at 7200.0: waiting for an event
-u: Users at 7200.0: waiting for an event
-u: BROKER@grid at 7200.0: scheduling event type 20 for Users with delay 0.0
-u: BROKER@grid at 7200.0: waiting for an event
 u: Users at 7200.0: waiting for an event
 u: BROKER@grid at 7200.0: scheduling event type 20 for Users with delay 0.0
@@ -254,8 +254,8 @@
 u: Output_ManagementSystem@cluster at 10800.0: scheduling event type 20 for Input_BROKER@grid with delay 0.0
 u: Output_ManagementSystem@cluster at 10800.0: start processing
+u: Input_BROKER@grid at 10800.0: start processing
 u: Output_ManagementSystem@cluster at 10800.0: selected event type 20 (event time was 10800.0)
 u: Output_ManagementSystem@cluster at 10800.0: scheduling event type 20 for Input_BROKER@grid with delay 0.0
 u: Output_ManagementSystem@cluster at 10800.0: start processing
-u: Input_BROKER@grid at 10800.0: start processing
 u: Output_ManagementSystem@cluster at 10800.0: waiting for an event
 u: Input_BROKER@grid at 10800.0: scheduling event type 20 for BROKER@grid with delay 0.0
@@ -308,6 +308,6 @@
 u: Output_BROKER@grid at 25200.0: scheduling event type 21 for Input_ManagementSystem@cluster with delay 0.0
 u: Output_BROKER@grid at 25200.0: start processing
+u: Input_ManagementSystem@cluster at 25200.0: start processing
 u: Output_BROKER@grid at 25200.0: waiting for an event
-u: Input_ManagementSystem@cluster at 25200.0: start processing
 u: Input_ManagementSystem@cluster at 25200.0: scheduling event type 21 for ManagementSystem@cluster with delay 0.0
 u: Input_ManagementSystem@cluster at 25200.0: waiting for an event
@@ -338,6 +338,6 @@
 u: Output_BROKER@grid at 39600.0: scheduling event type 21 for Input_ManagementSystem@cluster with delay 0.0
 u: Output_BROKER@grid at 39600.0: start processing
+u: Output_BROKER@grid at 39600.0: waiting for an event
 u: Input_ManagementSystem@cluster at 39600.0: start processing
-u: Output_BROKER@grid at 39600.0: waiting for an event
 u: Input_ManagementSystem@cluster at 39600.0: scheduling event type 21 for ManagementSystem@cluster with delay 0.0
 u: Input_ManagementSystem@cluster at 39600.0: waiting for an event
Index: DCWoRMS/trunk/src/org/joda/time/VCMilisProvider.java
===================================================================
--- DCWoRMS/trunk/src/org/joda/time/VCMilisProvider.java	(revision 477)
+++ DCWoRMS/trunk/src/org/joda/time/VCMilisProvider.java	(revision 494)
@@ -39,5 +39,4 @@
 		long vc = Math.round(Sim_system.clock());
 		//System.out.println("SIMJAVA TIME: "+Sim_system.clock());
-		//System.out.println("CLOUD TIME: "+GSSIM.clock());
 		
 		// change virtual seconds to milliseconds
Index: DCWoRMS/trunk/src/gridsim/dcworms/DCWormsTags.java
===================================================================
--- DCWoRMS/trunk/src/gridsim/dcworms/DCWormsTags.java	(revision 493)
+++ DCWoRMS/trunk/src/gridsim/dcworms/DCWormsTags.java	(revision 494)
@@ -8,13 +8,13 @@
 public class DCWormsTags extends GridSimTags {
 	
-	protected static final int GSSIMBASE = 600; 
+	protected static final int DCWORMSBASE = 600; 
 	
-	public static final int UPDATE= GSSIMBASE - 1;
+	public static final int UPDATE= DCWORMSBASE - 1;
 	
-	public static final int TIMER = GSSIMBASE + 1;
+	public static final int TIMER = DCWORMSBASE + 1;
 	
-	public static final int TASK_READY_FOR_EXECUTION = GSSIMBASE + 2;
+	public static final int TASK_READY_FOR_EXECUTION = DCWORMSBASE + 2;
 	
-	public static final int TASK_EXECUTION_FINISHED = GSSIMBASE + 3;
+	public static final int TASK_EXECUTION_FINISHED = DCWORMSBASE + 3;
 	
 
@@ -22,9 +22,9 @@
 	 * Message tag: query resource about its current state in object form (load, queues, etc.)
 	 */ 
-	public static final int QUERY_RESOURCE_DESC = GSSIMBASE + 4; 
+	public static final int QUERY_RESOURCE_DESC = DCWORMSBASE + 4; 
 
-	public static final int QUERY_RESOURCE_DESC_RESULT = GSSIMBASE + 5; 
+	public static final int QUERY_RESOURCE_DESC_RESULT = DCWORMSBASE + 5; 
 	
-	public static final int TASK_REQUESTED_TIME_EXPIRED = GSSIMBASE + 6;
+	public static final int TASK_REQUESTED_TIME_EXPIRED = DCWORMSBASE + 6;
 
 	
Index: DCWoRMS/trunk/src/simulator/DataCenterWorkloadSimulator.java
===================================================================
--- DCWoRMS/trunk/src/simulator/DataCenterWorkloadSimulator.java	(revision 493)
+++ DCWoRMS/trunk/src/simulator/DataCenterWorkloadSimulator.java	(revision 494)
@@ -97,6 +97,6 @@
 	 */
 	public static void main(String[] args) {
-		DataCenterWorkloadSimulator gssim = new DataCenterWorkloadSimulator();
-		gssim.run(args);
+		DataCenterWorkloadSimulator dcworms = new DataCenterWorkloadSimulator();
+		dcworms.run(args);
 	}
 
@@ -197,5 +197,5 @@
 	}
 
-	private void runMultiuser(String rootDirPath, DataCenterWorkloadSimulator gssim) {
+	private void runMultiuser(String rootDirPath, DataCenterWorkloadSimulator dcworms) {
 		throw new RuntimeException("not supported yet");
 	}
Index: DCWoRMS/trunk/src/simulator/stats/implementation/DCWormsStatistics.java
===================================================================
--- DCWoRMS/trunk/src/simulator/stats/implementation/DCWormsStatistics.java	(revision 493)
+++ DCWoRMS/trunk/src/simulator/stats/implementation/DCWormsStatistics.java	(revision 494)
@@ -809,8 +809,8 @@
 		ChartRenderingInfo info = new ChartRenderingInfo();
 		File f = new File(fileName + "." + ImageFormat.PNG);
-		final String gssimSubtitle = "Created by "
+		final String dcwormsSubtitle = "Created by "
 				+ DataCenterWorkloadSimulator.SIMULATOR_NAME
 				+ " http://www.gssim.org/";
-		c.addSubtitle(new TextTitle(gssimSubtitle));
+		c.addSubtitle(new TextTitle(dcwormsSubtitle));
 		boolean encodeAlpha = false;
 		int compression = 9;// values 0-9
@@ -1264,6 +1264,6 @@
 		// info.setEntityCollection(null);
 		File f = new File(fileName + "." + ImageFormat.PNG);
-		final String gssimSubtitle = "Created by " + DataCenterWorkloadSimulator.SIMULATOR_NAME + " http://www.gssim.org/";
-		c.addSubtitle(new TextTitle(gssimSubtitle));
+		final String dcwormsSubtitle = "Created by " + DataCenterWorkloadSimulator.SIMULATOR_NAME + " http://www.gssim.org/";
+		c.addSubtitle(new TextTitle(dcwormsSubtitle));
 		boolean encodeAlpha = false;
 		int compression = 9;
Index: DCWoRMS/trunk/src/schedframe/resources/computing/ComputingResource.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/resources/computing/ComputingResource.java	(revision 493)
+++ DCWoRMS/trunk/src/schedframe/resources/computing/ComputingResource.java	(revision 494)
@@ -157,5 +157,5 @@
 		//if(scheduler != null && (parent != null && scheduler != parent.getScheduler())/*scheduler.getResources().contains(this)*/){
 		//	String src = event.getSource() != null ? event.getSource() : name;
-		//	scheduler.sendInternal(GridSimTags.SCHEDULE_NOW, GssimTags.UPDATE, src);
+		//	scheduler.sendInternal(GridSimTags.SCHEDULE_NOW, DCWormsTags.UPDATE, src);
 		//}
 		//triggerEventUp(event);
Index: DCWoRMS/trunk/src/schedframe/resources/computing/profiles/energy/power/ui/ProcessorPowerInterface.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/resources/computing/profiles/energy/power/ui/ProcessorPowerInterface.java	(revision 477)
+++ DCWoRMS/trunk/src/schedframe/resources/computing/profiles/energy/power/ui/ProcessorPowerInterface.java	(revision 494)
@@ -1,3 +1,5 @@
 package schedframe.resources.computing.profiles.energy.power.ui;
+
+import gridsim.dcworms.DCWormsTags;
 
 import java.util.Map;
@@ -83,5 +85,5 @@
 			//new ResourceEventCommand(resource).execute(EnergyEventType.FREQUENCY_CHANGED);
 			resource.handleEvent(new EnergyEvent(EnergyEventType.FREQUENCY_CHANGED, resource.getName()));
-			//resource.getScheduler().sendInternal(GridSimTags.SCHEDULE_NOW, GssimTags.UPDATE, resource.getName());
+			//resource.getScheduler().sendInternal(GridSimTags.SCHEDULE_NOW, DCWormsTags.UPDATE, resource.getName());
 			return true;
 		}
Index: DCWoRMS/trunk/src/schedframe/scheduling/Scheduler.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/Scheduler.java	(revision 493)
+++ DCWoRMS/trunk/src/schedframe/scheduling/Scheduler.java	(revision 494)
@@ -133,13 +133,4 @@
 				// managemetnSystem_.setEndSimulation();
 				run = false;
-				/*Sim_stat stats = get_stat();
-				List<Object[]> measures = stats.get_measures();
-				for (Object[] info : measures) {
-					String measure = (String) info[0];
-					if (measure
-							.startsWith(GssimConstants.TASKS_QUEUE_LENGTH_MEASURE_NAME)) {
-						System.out.println("====="+this.get_name()+";"+stats.average(measure));
-					}
-				}*/
 				break;
 			}
@@ -155,13 +146,13 @@
 
 		case GridSimTags.GRIDLET_SUBMIT:
-			processGSSIMJobSubmit(ev, false);
+			processWorkloadUnitSubmit(ev, false);
 			break;
 
 		case GridSimTags.GRIDLET_SUBMIT_ACK:
-			processGSSIMJobSubmit(ev, true);
+			processWorkloadUnitSubmit(ev, true);
 			break;
 
 		case GridSimTags.GRIDLET_RETURN:
-			processGSSIMJobReturn(ev);
+			processWorkloadUnitReturn(ev);
 			break;
 
@@ -194,10 +185,10 @@
 	}*/
 	
-	protected void processGSSIMJobReturn(Sim_event ev) {
+	protected void processWorkloadUnitReturn(Sim_event ev) {
 		WorkloadUnit job = (WorkloadUnit) ev.get_data();
 		managementSystem.notifyReturnedWorkloadUnit(job);
 	}
 
-	protected void processGSSIMJobSubmit(Sim_event ev, boolean ack) {
+	protected void processWorkloadUnitSubmit(Sim_event ev, boolean ack) {
 		WorkloadUnit job = (WorkloadUnit) ev.get_data();
 		managementSystem.notifySubmittedWorkloadUnit(job, ack);
Index: DCWoRMS/trunk/example/experiment3_result/experiment.properties
===================================================================
--- DCWoRMS/trunk/example/experiment3_result/experiment.properties	(revision 491)
+++ DCWoRMS/trunk/example/experiment3_result/experiment.properties	(revision 494)
@@ -18,3 +18,3 @@
 creatediagrams.gantt=true
 creatediagrams.taskswaitingtime=false
-creatediagrams.energyusage=DataCenter;Rack;ComputingNode;Processor
+creatediagrams.energyusage=ComputingNode;Processor
Index: DCWoRMS/trunk/example/experiment3/experiment3.properties
===================================================================
--- DCWoRMS/trunk/example/experiment3/experiment3.properties	(revision 491)
+++ DCWoRMS/trunk/example/experiment3/experiment3.properties	(revision 494)
@@ -18,3 +18,3 @@
 creatediagrams.gantt=true
 creatediagrams.taskswaitingtime=false
-creatediagrams.energyusage=DataCenter;Rack;ComputingNode;Processor
+creatediagrams.energyusage=ComputingNode;Processor
Index: DCWoRMS/trunk/properties/log4j.properties
===================================================================
--- DCWoRMS/trunk/properties/log4j.properties	(revision 477)
+++ DCWoRMS/trunk/properties/log4j.properties	(revision 494)
@@ -20,5 +20,5 @@
 
 log4j.appender.F1=org.apache.log4j.FileAppender
-log4j.appender.F1.file=gssim.log
+log4j.appender.F1.file=dcworms.log
 log4j.appender.F1.append=false
 log4j.appender.F1.layout=org.apache.log4j.PatternLayout